Subject: Re: Metalink: higher availability and integrity downloads

From: [email-masked] (Anthony Bryan)
Date: Mon, 07 May 2007 06:09:18 +0000

-------------- Original message ----------------------
From: Julian Reschke <[email-masked]>
> Anthony,
> 
> some thoughts...:
> 
> - Is your plan to turn this into an IETF publication? I wasn't really sure.

Yes, if people are interested in working on this. That's what I'm trying to find out.
 
> - If this is already deployed, you probably should start the 
> registration process for the MIME type. See 
> <http://tools.ietf.org/html/rfc4288>.

I've been meaning to do that, but wonder if I should wait until things are more stabilized (for instance if they change because of comments here), or just register the MIME type based on how things work now. It is already deployed and supported by 18 or so programs.

> - There seems to be an overlap with extended XLinks (see 
> <http://www.w3.org/TR/xlink/#extended-link>). Did you consider re-using 
> that vocabulary?

I did, but wanted to do something as simple as possible in the beginning. It would be great to re-use XLinks if possible. Anything to avoid duplicated effort and take advantage of work already done.

> - As Eric pointed out, the "!" notation in fragment identifiers (see 
> Section 1.7) isn't really compatible with how URIs work (see RFC3986).

This was an experimental attempt. Are you against the concept, without the "!" ? In practice, only 4 download clients supported it and 0 sites (to my knowledge). So changing it to something else or removing it altogether would be good, since it does not seem to have caught on anyways (even if it was compatible).

-- 
(( Anthony Bryan
  )) Metalink [ http://www.metalinker.org ]

---

From: Julian Reschke <[email-masked]>
Date: Mon, 07 May 2007 09:01:24 +0200

Anthony Bryan wrote:
> ...

You can't reuse the fragment identifier for that purpose. It's defined 
to mean something else...

Best regards, Julian